#!/bin/bash
var=$(zenity --entry --title="Agregar una entrada" --text="Introduzca el valor de la dimensión del problema:" --entry-text "dimensión")

zenity --info --text "Has seleccionado dimensión para el problema: $var"

(
echo "10" ; sleep 1
gcc GeneratorNumberKn.c -o GenNumberKn
echo "20" ; sleep 1
gcc GeneratorAllInKn.c -o GenAllInKn
echo "30" ; sleep 1
gcc GeneratorAlgPeres.c -o GenAlgPeres
echo "50" ; sleep 1
echo "# Ejecutando generadores" ;sleep 1
./GenNumberKn $var
echo "65" ; sleep 1
./GenAllInKn $var
echo "80" ; sleep 1
./GenAlgPeres $var
echo "100";
echo "# Ficheros generados con éxito" ; sleep 1
) |
if zenity --progress \
--width=2 \
--height=1 \
--title="Generación de ficheros" \
--text="Compilando generadores..." \
--percentage=0

	then if [ "$?" = -1 ] ;  then
		zenity --error --text="Proceso cancelado."
	fi
fi

zenity --info --text "Ficheros generados correctamente:\nAlgPeres dim $var\nAllInKn dim $var\nNumberKn dim $var"
